function checkspace(checkstr) {
				var str = '';
				for(i = 0; i < checkstr.length; i++) {
					str = str + ' ';
				}
				return (str == checkstr);
				}
				function strDateTime(str)
				{
					var r = str.match(/^(\d{1,4})(-|\/)(\d{1,2})\2(\d{1,2})$/); 
					if(r==null)return false; 
					var d= new Date(r[1], r[3]-1, r[4]); 
					return (d.getFullYear()==r[1]&&(d.getMonth()+1)==r[3]&&d.getDate()==r[4]);
				}
				function strDateTime1(str)
				{
					var reg = /^(\d{1,4})(-|\/)(\d{1,2})\2(\d{1,2}) (\d{1,2}):(\d{1,2}):(\d{1,2})$/; 
					var r = str.match(reg); 
					if(r==null)return false; 
					var d= new Date(r[1], r[3]-1,r[4],r[5],r[6],r[7]); 
					return (d.getFullYear()==r[1]&&(d.getMonth()+1)==r[3]&&d.getDate()==r[4]&&d.getHours()==r[5]&&d.getMinutes()==r[6]&&d.getSeconds()==r[7]);
				}



			function CheckSight()
			{
			
				var strCont = document.getElementById("dropCont").value;
				if(strCont == "0" || strCont == "")
				{
				
					alert("请选择所在地区");
					tp1.setSelectedIndex(0);
					document.getElementById("dropCont").focus();
					return false;
				}
				var strCountry = document.getElementById("dropCountry").value;
				if(strCountry == "0" || strCountry == "")
				{
					alert("请选择所在国家");
					tp1.setSelectedIndex(0);
					document.getElementById("dropCountry").focus();
					return false;
				}
				var strSName = document.getElementById("txtSName").value;
				if(strSName == "" || checkspace(strSName))
				{
					alert("请输入景区/景点名称");
					tp1.setSelectedIndex(0);
					document.getElementById("txtSName").focus();
					return false;
				}
				var oEditor = FCKeditorAPI.GetInstance('fckSGaiKuang') ;
				var strSGaiKuang = oEditor.GetXHTML( true );
				if(strSGaiKuang == "" || checkspace(strSGaiKuang))
				{
					alert("请输入景区/景点概况");
					tp1.setSelectedIndex(0);
					return false;
				}
				var strSort = document.getElementById("dropSort").value;
				if(strSort == "" || strSort == "0")
				{
					alert("请选择景区/景点类别");
					tp1.setSelectedIndex(0);
					document.getElementById("fckSGaiKuang").focus();
					return false;
				}
				if(document.Form1.chbIsSmallImg.checked)
				{
					if(checkspace(document.Form1.txtWidth.value))
					{
						tp1.setSelectedIndex(5);
						alert("请输入缩略图的宽度");
						document.getElementById("txtWidth").focus();
						return false;
					}
					else
					{
						if(isNaN(document.Form1.txtWidth.value) || document.Form1.txtWidth.value < 10)
						{
							tp1.setSelectedIndex(5);
							alert("缩略图的宽度只能输入大于10的数字");
							document.getElementById("txtWidth").focus();
							return false;
						}
					}
					if(checkspace(document.Form1.txtHeight.value))
					{
						tp1.setSelectedIndex(5);
						alert("请输入缩略图的高度");
						document.getElementById("txtHeight").focus();
						return false;
					}
					else
					{
						if(isNaN(document.Form1.txtHeight.value) || document.Form1.txtHeight.value < 10)
						{
							tp1.setSelectedIndex(5);
							alert("缩略图的高度只能输入大于10的数字");
							document.getElementById("txtHeight").focus();
							return false;
						}
					}
				}
				
				
			}
			function CheckLine()
			{
			
				var strSort = document.getElementById("dropSort").value;
				if(strSort == "0" || strSort == "")
				{
				
					alert("请选择线路类型");
					tp1.setSelectedIndex(0);
					document.getElementById("dropSort").focus();
					return false;
				}
				var strCt = document.getElementById("dropCt").value;
				if(strCt == "0" || strCt == "")
				{
					alert("请选择国家");
					tp1.setSelectedIndex(0);
					document.getElementById("dropCt").focus();
					return false;
				}
				var strEndCt = document.getElementById("dropEndCt").value;
				if(strCt == "0" || strCt == "")
				{
					alert("请选择国家");
					tp1.setSelectedIndex(0);
					document.getElementById("dropEndCt").focus();
					return false;
				}
				var strLName = document.getElementById("txtLName").value;
				if(strLName == "" || checkspace(strLName))
				{
					alert("请输入线路名称");
					tp1.setSelectedIndex(0);
					document.getElementById("txtLName").focus();
					return false;
				}
				var strLFTDate = document.getElementById("txtLFTDate").value;
				if(strLFTDate == "" || checkspace(strLFTDate))
				{
					alert("请输入发团日期");
					tp1.setSelectedIndex(0);
					document.getElementById("txtLFTDate").focus();
					return false;
				}
				var strLIntPrice = document.getElementById("txtLIntPrice").value;
				if(strLIntPrice == "" || checkspace(strLIntPrice))
				{
					alert("请输入线路价格");
					tp1.setSelectedIndex(0);
					document.getElementById("txtLIntPrice").focus();
					return false;
				}
				else
				{
					if(isNaN(strLIntPrice) || strLIntPrice <= 0)
					{
						alert("线路价格只能输入大于0的数字");
						tp1.setSelectedIndex(0);
						document.getElementById("txtLIntPrice").focus();
						return false;
					}
				}
				var oEditor = FCKeditorAPI.GetInstance('fckLJs') ;
				var strLJs = oEditor.GetXHTML( true );
				if(strLJs == "" || checkspace(strLJs))
				{
					alert("请输入线路介绍");
					tp1.setSelectedIndex(0);
					return false;
				}
				if(document.Form1.rblLIsDiaoCha[0].checked)
				{
					if(document.getElementById("txtLDiaoChaTitle").value == "" || checkspace(document.getElementById("txtLDiaoChaTitle").value))
					{
						alert("您已经启用了调查功能，请输入调查主题");
						tp1.setSelectedIndex(9);
						document.getElementById("txtLDiaoChaTitle").focus();
						return false;
					}
					var i = 0;
					if(document.getElementById("txtOpt1").value != "" && checkspace(document.getElementById("txtOpt1").value) == false)
					{
						i = i + 1;
						if(document.getElementById("txtOptCount1").value != "" && checkspace(document.getElementById("txtOptCount1").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount1").value)  || document.getElementById("txtOptCount1").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(9);
								document.getElementById("txtOptCount1").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt2").value != "" && checkspace(document.getElementById("txtOpt2").value) == false)
					{
						i = i + 2;
						if(document.getElementById("txtOptCount2").value != "" && checkspace(document.getElementById("txtOptCount2").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount2").value)  || document.getElementById("txtOptCount2").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(9);
								document.getElementById("txtOptCount2").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt3").value != "" && checkspace(document.getElementById("txtOpt3").value) == false)
					{
						i = i + 3;
						if(document.getElementById("txtOptCount3").value != "" && checkspace(document.getElementById("txtOptCount3").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount3").value)  || document.getElementById("txtOptCount3").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(9);
								document.getElementById("txtOptCount3").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt4").value != "" && checkspace(document.getElementById("txtOpt4").value) == false)
					{
						i = i + 4;
						if(document.getElementById("txtOptCount4").value != "" && checkspace(document.getElementById("txtOptCount4").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount4").value)  || document.getElementById("txtOptCount4").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(9);
								document.getElementById("txtOptCount4").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt5").value != "" && checkspace(document.getElementById("txtOpt5").value) == false)
					{
						i = i + 5;
						if(document.getElementById("txtOptCount5").value != "" && checkspace(document.getElementById("txtOptCount5").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount5").value)  || document.getElementById("txtOptCount5").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(9);
								document.getElementById("txtOptCount5").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt6").value != "" && checkspace(document.getElementById("txtOpt6").value) == false)
					{
						i = i + 6;
						if(document.getElementById("txtOptCount6").value != "" && checkspace(document.getElementById("txtOptCount6").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount6").value)  || document.getElementById("txtOptCount6").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(9);
								document.getElementById("txtOptCount6").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt7").value != "" && checkspace(document.getElementById("txtOpt7").value) == false)
					{
						i = i + 7;
						if(document.getElementById("txtOptCount7").value != "" && checkspace(document.getElementById("txtOptCount7").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount7").value)  || document.getElementById("txtOptCount7").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(9);
								document.getElementById("txtOptCount7").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt8").value != "" && checkspace(document.getElementById("txtOpt8").value) == false)
					{
						i = i + 8;
						if(document.getElementById("txtOptCount8").value != "" && checkspace(document.getElementById("txtOptCount8").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount8").value)  || document.getElementById("txtOptCount8").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(9);
								document.getElementById("txtOptCount8").focus();
								return false;
							}
						}
					}
					if(i < 2)
					{
						alert("您至少要输入两个调查选项");
						tp1.setSelectedIndex(9);
						document.getElementById("txtOpt1").focus();
						return false;
					}
					if(document.getElementById("txtLDiaoChaStartTime").value == "" || checkspace(document.getElementById("txtLDiaoChaStartTime").value))
					{
						alert("请输入调查开始时间");
						tp1.setSelectedIndex(9);
						document.getElementById("txtLDiaoChaStartTime").focus();
						return false;
					}
					else
					{
						if(strDateTime(document.getElementById("txtLDiaoChaStartTime").value) || strDateTime1(document.getElementById("txtLDiaoChaStartTime").value))
						{}
						else
						{
							alert("时间格式不正确");
							tp1.setSelectedIndex(9);
							document.getElementById("txtLDiaoChaStartTime").focus();
							return false;
						}
					}
					if(document.getElementById("txtLDiaoChaEndtTime").value == "" || checkspace(document.getElementById("txtLDiaoChaEndtTime").value))
					{
						alert("请输入调查结束时间");
						tp1.setSelectedIndex(9);
						document.getElementById("txtLDiaoChaEndtTime").focus();
						return false;
					}
					else
					{
						if(strDateTime(document.getElementById("txtLDiaoChaEndtTime").value) || strDateTime1(document.getElementById("txtLDiaoChaEndtTime").value))
						{}
						else
						{
							alert("时间格式不正确");
							tp1.setSelectedIndex(9);
							document.getElementById("txtLDiaoChaEndtTime").focus();
							return false;
						}
					}
				}
				
			}
			function SIdsChecked()
			{
				var strSIds = document.Form1.txtSIds.value;
				for(var i = 0 ;i<document.getElementsByName("chbSIds").length;i++)
				{
					if(strSIds.indexOf(document.getElementsByName("chbSIds")[i].value) >= 0)
					{
						document.getElementsByName("chbSIds")[i].checked = true;
					}
				}
			}
			
			function CtIdsChecked()
			{
				var strCtIds = document.Form1.txtCtIds.value;
				for(var i = 0 ;i<document.Form1.checkCt.length;i++)
				{
					if(strCtIds.indexOf(document.Form1.checkCt[i].value) >= 0)
					{
						document.Form1.checkCt[i].checked = true;
					}
				}
			}
			function PIdsChecked()
			{
				var strPIds = document.Form1.txtPIds.value;
				for(var i = 0 ;i<document.getElementsByName("chbtProvince").length;i++)
				{
					if(strPIds.indexOf(document.getElementsByName("chbtProvince")[i].value) >= 0)
					{
						document.getElementsByName("chbtProvince")[i].checked = true;
					}
				}
			}
			
			function CyIdsChecked()
			{
				var strCyIds = document.Form1.txtCyIds.value;
				for(var i = 0 ;i<document.getElementsByName("checkCity").length;i++)
				{
					if(strCyIds.indexOf(document.getElementsByName("checkCity")[i].value) >= 0)
					{
						document.getElementsByName("checkCity")[i].checked = true;
					}
				}
			}
			function CheckHotel()
			{
				var strCy = document.getElementById("dropCy").value;
				if(strCy == "0" || strCy == "")
				{
					alert("请选择所在城市");
					tp1.setSelectedIndex(0);
					document.getElementById("dropCy").focus();
					return false;
				}
				var strHCNName = document.getElementById("txtHCNName").value;
				if(strHCNName == "" || checkspace(strHCNName))
				{
					tp1.setSelectedIndex(0);
					alert("请输入宾馆酒店的中文名称");
					document.getElementById("txtHCNName").focus();
					return false;
				}
				var strSL = document.getElementById("dropSL").value;
				if(strSL == "0" || strSL == "" || strSL == null)
				{
					tp1.setSelectedIndex(0);
					alert("请选择星级标准");
					document.getElementById("dropSL").focus();
					return false;
				}
				var strHJcJl = document.getElementById("txtHJcJl").value;
				if(strHJcJl != "" && checkspace(strHJcJl) == false)
				{
					if(isNaN(strHJcJl) || strHJcJl < 0)
					{
						tp1.setSelectedIndex(0);
						alert("离市中心距离只能输入正整数");
						document.getElementById("txtHJcJl").focus();
						return false;
					}
				}
				var strHHczJl = document.getElementById("txtHHczJl").value;
				if(strHHczJl != "" && checkspace(strHHczJl) == false)
				{
					if(isNaN(strHHczJl) || strHHczJl < 0)
					{
						tp1.setSelectedIndex(0);
						alert("离火车站距离只能输入正整数");
						document.getElementById("txtHHczJl").focus();
						return false;
					}
				}
				var strHSzxJl = document.getElementById("txtHSzxJl").value;
				if(strHSzxJl != "" && checkspace(strHSzxJl) == false)
				{
					if(isNaN(strHSzxJl) || strHSzxJl < 0)
					{
						tp1.setSelectedIndex(0);
						alert("离市中心距离只能输入正整数");
						document.getElementById("txtHSzxJl").focus();
						return false;
					}
				}
				var strHCtczJl = document.getElementById("txtHCtczJl").value;
				if(strHCtczJl != "" && checkspace(strHCtczJl) == false)
				{
					if(isNaN(strHCtczJl) || strHCtczJl < 0)
					{
						tp1.setSelectedIndex(0);
						alert("离长途车站距离只能输入正整数");
						document.getElementById("txtHCtczJl").focus();
						return false;
					}
				}
				var strHGkJl = document.getElementById("txtHGkJl").value;
				if(strHGkJl != "" && checkspace(strHGkJl) == false)
				{
					if(isNaN(strHGkJl) || strHGkJl < 0)
					{
						tp1.setSelectedIndex(0);
						alert("离港口(码头)距离只能输入正整数");
						document.getElementById("txtHGkJl").focus();
						return false;
					}
				}
				var strHJcPrice = document.getElementById("txtHJcPrice").value;
				if(strHJcPrice != "" && checkspace(strHJcPrice) == false)
				{
					if(isNaN(strHJcPrice) || strHJcPrice < 0)
					{
						tp1.setSelectedIndex(0);
						alert("加床价格只能输入正整数");
						document.getElementById("txtHJcPrice").focus();
						return false;
					}
				}
				var oEditor = FCKeditorAPI.GetInstance('fckHJs') ;
				var strHJs = oEditor.GetXHTML( true );
				if(strHJs == "" || checkspace(strHJs))
				{
					tp1.setSelectedIndex(0);
					alert("请输入宾馆酒店介绍");
					return false;
				}
				if(document.Form1.chbIsSmallImg.checked)
				{
					if(checkspace(document.Form1.txtWidth.value))
					{
						tp1.setSelectedIndex(7);
						alert("请输入缩略图的宽度");
						document.getElementById("txtWidth").focus();
						return false;
					}
					else
					{
						if(isNaN(document.Form1.txtWidth.value) || document.Form1.txtWidth.value < 10)
						{
							tp1.setSelectedIndex(7);
							alert("缩略图的宽度只能输入大于10的数字");
							document.getElementById("txtWidth").focus();
							return false;
						}
					}
					if(checkspace(document.Form1.txtHeight.value))
					{
						tp1.setSelectedIndex(7);
						alert("请输入缩略图的高度");
						document.getElementById("txtHeight").focus();
						return false;
					}
					else
					{
						if(isNaN(document.Form1.txtHeight.value) || document.Form1.txtHeight.value < 10)
						{
							tp1.setSelectedIndex(7);
							alert("缩略图的高度只能输入大于10的数字");
							document.getElementById("txtHeight").focus();
							return false;
						}
					}
				}
				if(document.Form1.rblHIsDiaoCha[0].checked)
				{
					if(document.getElementById("txtHDiaoChaTitle").value == "" || checkspace(document.getElementById("txtHDiaoChaTitle").value))
					{
						alert("您已经启用了调查功能，请输入调查主题");
						tp1.setSelectedIndex(7);
						document.getElementById("txtHDiaoChaTitle").focus();
						return false;
					}
					var i = 0;
					if(document.getElementById("txtOpt1").value != "" && checkspace(document.getElementById("txtOpt1").value) == false)
					{
						i = i + 1;
						if(document.getElementById("txtOptCount1").value != "" && checkspace(document.getElementById("txtOptCount1").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount1").value)  || document.getElementById("txtOptCount1").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(7);
								document.getElementById("txtOptCount1").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt2").value != "" && checkspace(document.getElementById("txtOpt2").value) == false)
					{
						i = i + 2;
						if(document.getElementById("txtOptCount2").value != "" && checkspace(document.getElementById("txtOptCount2").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount2").value)  || document.getElementById("txtOptCount2").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(7);
								document.getElementById("txtOptCount2").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt3").value != "" && checkspace(document.getElementById("txtOpt3").value) == false)
					{
						i = i + 3;
						if(document.getElementById("txtOptCount3").value != "" && checkspace(document.getElementById("txtOptCount3").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount3").value)  || document.getElementById("txtOptCount3").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(7);
								document.getElementById("txtOptCount3").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt4").value != "" && checkspace(document.getElementById("txtOpt4").value) == false)
					{
						i = i + 4;
						if(document.getElementById("txtOptCount4").value != "" && checkspace(document.getElementById("txtOptCount4").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount4").value)  || document.getElementById("txtOptCount4").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(7);
								document.getElementById("txtOptCount4").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt5").value != "" && checkspace(document.getElementById("txtOpt5").value) == false)
					{
						i = i + 5;
						if(document.getElementById("txtOptCount5").value != "" && checkspace(document.getElementById("txtOptCount5").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount5").value)  || document.getElementById("txtOptCount5").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(7);
								document.getElementById("txtOptCount5").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt6").value != "" && checkspace(document.getElementById("txtOpt6").value) == false)
					{
						i = i + 6;
						if(document.getElementById("txtOptCount6").value != "" && checkspace(document.getElementById("txtOptCount6").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount6").value)  || document.getElementById("txtOptCount6").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(7);
								document.getElementById("txtOptCount6").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt7").value != "" && checkspace(document.getElementById("txtOpt7").value) == false)
					{
						i = i + 7;
						if(document.getElementById("txtOptCount7").value != "" && checkspace(document.getElementById("txtOptCount7").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount7").value)  || document.getElementById("txtOptCount7").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(7);
								document.getElementById("txtOptCount7").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt8").value != "" && checkspace(document.getElementById("txtOpt8").value) == false)
					{
						i = i + 8;
						if(document.getElementById("txtOptCount8").value != "" && checkspace(document.getElementById("txtOptCount8").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount8").value)  || document.getElementById("txtOptCount8").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(7);
								document.getElementById("txtOptCount8").focus();
								return false;
							}
						}
					}
					if(i < 2)
					{
						alert("您至少要输入两个调查选项");
						tp1.setSelectedIndex(7);
						document.getElementById("txtOpt1").focus();
						return false;
					}
					if(document.getElementById("txtHDiaoChaStartTime").value == "" || checkspace(document.getElementById("txtHDiaoChaStartTime").value))
					{
						alert("请输入调查开始时间");
						tp1.setSelectedIndex(7);
						document.getElementById("txtHDiaoChaStartTime").focus();
						return false;
					}
					else
					{
						if(strDateTime(document.getElementById("txtHDiaoChaStartTime").value) || strDateTime1(document.getElementById("txtHDiaoChaStartTime").value))
						{}
						else
						{
							alert("时间格式不正确");
							tp1.setSelectedIndex(7);
							document.getElementById("txtHDiaoChaStartTime").focus();
							return false;
						}
					}
					if(document.getElementById("txtHDiaoChaEndtTime").value == "" || checkspace(document.getElementById("txtHDiaoChaEndtTime").value))
					{
						alert("请输入调查结束时间");
						tp1.setSelectedIndex(7);
						document.getElementById("txtHDiaoChaEndtTime").focus();
						return false;
					}
					else
					{
						if(strDateTime(document.getElementById("txtHDiaoChaEndtTime").value) || strDateTime1(document.getElementById("txtHDiaoChaEndtTime").value))
						{}
						else
						{
							alert("时间格式不正确");
							tp1.setSelectedIndex(7);
							document.getElementById("txtHDiaoChaEndtTime").focus();
							return false;
						}
					}
				}
				
			}
			function CheckHouse()
			{
				var strHiName = document.getElementById("txtHiName").value
				if(checkspace(strHiName))
				{
					tp1.setSelectedIndex(0);
					alert("请输入宾馆名称");
					document.getElementById("txtHiName").focus();
					return false;
				}
				var strRSId = document.getElementById("dropState").value
				if(checkspace(strRSId) || strRSId == "0")
				{
					tp1.setSelectedIndex(0);
					alert("请选择宾馆状态");
					document.getElementById("dropState").focus();
					return false;
				}
				var strPdId = document.getElementById("dropPd").value
				if(checkspace(strPdId) || strPdId == "0")
				{
					tp1.setSelectedIndex(0);
					alert("请选择所在区域");
					document.getElementById("dropPd").focus();
					return false;
				}
				var strHiDlwz = document.getElementById("txtHiDlwz").value
				if(checkspace(strHiDlwz) || strHiDlwz == "0")
				{
					tp1.setSelectedIndex(0);
					alert("请输入地理位置");
					document.getElementById("txtHiDlwz").focus();
					return false;
				}
				var strHiJzmj = document.getElementById("txtHiJzmj").value
				if(checkspace(strHiJzmj))
				{
					tp1.setSelectedIndex(0);
					alert("请输入建筑面积");
					document.getElementById("txtHiJzmj").focus();
					return false;
				}
				else
				{
					if(isNaN(strHiJzmj) || strHiJzmj <= 0)
					{
						tp1.setSelectedIndex(0);
						alert("建筑面积只能输入大于0的数字");
						document.getElementById("txtHiJzmj").focus();
						return false;
					}
				}
				var strHiPrice = document.getElementById("txtHiPrice").value
				if(checkspace(strHiPrice))
				{
					tp1.setSelectedIndex(0);
					alert("请输入价格");
					document.getElementById("txtHiPrice").focus();
					return false;
				}
				else
				{
					if(isNaN(strHiPrice) || strHiPrice <= 0)
					{
						tp1.setSelectedIndex(0);
						alert("宾馆价格只能输入大于0的数字");
						document.getElementById("txtHiPrice").focus();
						return false;
					}
				}
				var strHiLc = document.getElementById("txtHiLc").value
				if(checkspace(strHiLc) == false)
				{
					if(isNaN(strHiLc) || strHiLc <= 0)
					{
						tp1.setSelectedIndex(0);
						alert("楼层只能输入大于0的数字");
						document.getElementById("txtHiLc").focus();
						return false;
					}
				}
				var strHiZlc = document.getElementById("txtHiZlc").value
				if(checkspace(strHiZlc) == false)
				{
					if(isNaN(strHiZlc) || strHiZlc <= 0)
					{
						tp1.setSelectedIndex(0);
						alert("楼层只能输入大于0的数字");
						document.getElementById("txtHiZlc").focus();
						return false;
					}
				}
				var p = 0;
				for(var i=0;i<document.getElementsByTagName("input").length;i++)
				{
					if((document.getElementsByTagName("input")[i].name).indexOf("cblJcss") >= 0 && document.getElementsByTagName("input")[i].checked)
					{
						p = p + 1;
						break;
					}
				}
				if(p == 0)
				{
					tp1.setSelectedIndex(0);
					alert("请选择基础设施");
					return false;
				}
				var strHiYxts = document.getElementById("txtHiYxts").value
				if(checkspace(strHiYxts) == false)
				{
					if(isNaN(strHiYxts) || strHiYxts <= 0)
					{
						tp1.setSelectedIndex(0);
						alert("有效天数只能输入大于0的数字");
						document.getElementById("txtHiYxts").focus();
						return false;
					}
				}
				var strHiLxr = document.getElementById("txtHiLxr").value
				if(checkspace(strHiLxr))
				{
					tp1.setSelectedIndex(0);
					alert("请输入联系人");
					document.getElementById("txtHiLxr").focus();
					return false;
				}
				var strHiTel = document.getElementById("txtHiTel").value
				if(checkspace(strHiTel))
				{
					tp1.setSelectedIndex(0);
					alert("请输入联系电话");
					document.getElementById("txtHiTel").focus();
					return false;
				}
				if(document.Form1.chbIsSmallImg.checked)
				{
					if(checkspace(document.Form1.txtWidth.value))
					{
						tp1.setSelectedIndex(5);
						alert("请输入缩略图的宽度");
						document.getElementById("txtWidth").focus();
						return false;
					}
					else
					{
						if(isNaN(document.Form1.txtWidth.value) || document.Form1.txtWidth.value < 10)
						{
							tp1.setSelectedIndex(5);
							alert("缩略图的宽度只能输入大于10的数字");
							document.getElementById("txtWidth").focus();
							return false;
						}
					}
					if(checkspace(document.Form1.txtHeight.value))
					{
						tp1.setSelectedIndex(5);
						alert("请输入缩略图的高度");
						document.getElementById("txtHeight").focus();
						return false;
					}
					else
					{
						if(isNaN(document.Form1.txtHeight.value) || document.Form1.txtHeight.value < 10)
						{
							tp1.setSelectedIndex(5);
							alert("缩略图的高度只能输入大于10的数字");
							document.getElementById("txtHeight").focus();
							return false;
						}
					}
				}
				if(document.Form1.rblHiIsDiaoCha[0].checked)
				{
					if(document.getElementById("txtHiDiaoChaTitle").value == "" || checkspace(document.getElementById("txtHiDiaoChaTitle").value))
					{
						alert("您已经启用了调查功能，请输入调查主题");
						tp1.setSelectedIndex(7);
						document.getElementById("txtHiDiaoChaTitle").focus();
						return false;
					}
					var i = 0;
					if(document.getElementById("txtOpt1").value != "" && checkspace(document.getElementById("txtOpt1").value) == false)
					{
						i = i + 1;
						if(document.getElementById("txtOptCount1").value != "" && checkspace(document.getElementById("txtOptCount1").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount1").value)  || document.getElementById("txtOptCount1").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(7);
								document.getElementById("txtOptCount1").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt2").value != "" && checkspace(document.getElementById("txtOpt2").value) == false)
					{
						i = i + 2;
						if(document.getElementById("txtOptCount2").value != "" && checkspace(document.getElementById("txtOptCount2").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount2").value)  || document.getElementById("txtOptCount2").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(7);
								document.getElementById("txtOptCount2").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt3").value != "" && checkspace(document.getElementById("txtOpt3").value) == false)
					{
						i = i + 3;
						if(document.getElementById("txtOptCount3").value != "" && checkspace(document.getElementById("txtOptCount3").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount3").value)  || document.getElementById("txtOptCount3").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(7);
								document.getElementById("txtOptCount3").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt4").value != "" && checkspace(document.getElementById("txtOpt4").value) == false)
					{
						i = i + 4;
						if(document.getElementById("txtOptCount4").value != "" && checkspace(document.getElementById("txtOptCount4").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount4").value)  || document.getElementById("txtOptCount4").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(7);
								document.getElementById("txtOptCount4").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt5").value != "" && checkspace(document.getElementById("txtOpt5").value) == false)
					{
						i = i + 5;
						if(document.getElementById("txtOptCount5").value != "" && checkspace(document.getElementById("txtOptCount5").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount5").value)  || document.getElementById("txtOptCount5").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(7);
								document.getElementById("txtOptCount5").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt6").value != "" && checkspace(document.getElementById("txtOpt6").value) == false)
					{
						i = i + 6;
						if(document.getElementById("txtOptCount6").value != "" && checkspace(document.getElementById("txtOptCount6").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount6").value)  || document.getElementById("txtOptCount6").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(7);
								document.getElementById("txtOptCount6").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt7").value != "" && checkspace(document.getElementById("txtOpt7").value) == false)
					{
						i = i + 7;
						if(document.getElementById("txtOptCount7").value != "" && checkspace(document.getElementById("txtOptCount7").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount7").value)  || document.getElementById("txtOptCount7").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(7);
								document.getElementById("txtOptCount7").focus();
								return false;
							}
						}
					}
					if(document.getElementById("txtOpt8").value != "" && checkspace(document.getElementById("txtOpt8").value) == false)
					{
						i = i + 8;
						if(document.getElementById("txtOptCount8").value != "" && checkspace(document.getElementById("txtOptCount8").value) == false)
						{
							if(isNaN(document.getElementById("txtOptCount8").value)  || document.getElementById("txtOptCount8").value < 0)
							{
								alert("调查问卷的票数只能输入正整数");
								tp1.setSelectedIndex(7);
								document.getElementById("txtOptCount8").focus();
								return false;
							}
						}
					}
					if(i < 2)
					{
						alert("您至少要输入两个调查选项");
						tp1.setSelectedIndex(7);
						document.getElementById("txtOpt1").focus();
						return false;
					}
					if(document.getElementById("txtHiDiaoChaStartTime").value == "" || checkspace(document.getElementById("txtHiDiaoChaStartTime").value))
					{
						alert("请输入调查开始时间");
						tp1.setSelectedIndex(7);
						document.getElementById("txtHiDiaoChaStartTime").focus();
						return false;
					}
					else
					{
						if(strDateTime(document.getElementById("txtHiDiaoChaStartTime").value) || strDateTime1(document.getElementById("txtHiDiaoChaStartTime").value))
						{}
						else
						{
							alert("时间格式不正确");
							tp1.setSelectedIndex(7);
							document.getElementById("txtHiDiaoChaStartTime").focus();
							return false;
						}
					}
					if(document.getElementById("txtHiDiaoChaEndtTime").value == "" || checkspace(document.getElementById("txtHiDiaoChaEndtTime").value))
					{
						alert("请输入调查结束时间");
						tp1.setSelectedIndex(7);
						document.getElementById("txtHiDiaoChaEndtTime").focus();
						return false;
					}
					else
					{
						if(strDateTime(document.getElementById("txtHiDiaoChaEndtTime").value) || strDateTime1(document.getElementById("txtHiDiaoChaEndtTime").value))
						{}
						else
						{
							alert("时间格式不正确");
							tp1.setSelectedIndex(7);
							document.getElementById("txtHiDiaoChaEndtTime").focus();
							return false;
						}
					}
				}
				
			}
			function CheckHangBan()
			{
				var strHbCode = document.getElementById("txtHbCode").value;
				if(checkspace(strHbCode))
				{

						tp1.setSelectedIndex(0);
						alert("请输入航班号");
						document.getElementById("txtHbCode").focus();
						return false;
				}
				var strAwId = document.getElementById("dropAwId").value;
				if(checkspace(strAwId) || strAwId == "0")
				{

						tp1.setSelectedIndex(0);
						alert("请选择航空公司");
						document.getElementById("dropAwId").focus();
						return false;
				}
				var strHbStartCyId = document.getElementById("dropHbStartCyId").value;
				if(checkspace(strHbStartCyId) || strHbStartCyId == "0")
				{

						tp1.setSelectedIndex(0);
						alert("请选择起飞城市");
						document.getElementById("dropHbStartCyId").focus();
						return false;
				}
				var strHbEndCyId = document.getElementById("dropHbEndCyId").value;
				if(checkspace(strHbEndCyId) || strHbEndCyId == "0")
				{
						tp1.setSelectedIndex(0);
						alert("请选择终到城市");
						document.getElementById("dropHbEndCyId").focus();
						return false;
				}
				if(strHbStartCyId == strHbEndCyId)
				{
					tp1.setSelectedIndex(0);
					alert("您选择的起飞城市与终到城市相同，请重新选择");
					document.getElementById("dropHbEndCyId").focus();
					return false;
				}
				
				var strHbStartJc = document.getElementById("txtHbStartJc").value;
				if(checkspace(strHbStartJc))
				{
						tp1.setSelectedIndex(0);
						alert("请输入起飞机场");
						document.getElementById("txtHbStartJc").focus();
						return false;
				}
				
				var strHbEndJc = document.getElementById("txtHbEndJc").value;
				if(checkspace(strHbEndJc))
				{
						tp1.setSelectedIndex(0);
						alert("请输入降落机场");
						document.getElementById("txtHbEndJc").focus();
						return false;
				}
				var strHbType = document.getElementById("txtHbType").value;
				if(checkspace(strHbType))
				{
						tp1.setSelectedIndex(0);
						alert("请输入机型");
						document.getElementById("txtHbType").focus();
						return false;
				}
				var strHbJjcPirce = document.getElementById("txtHbJjcPirce").value;
				var strHbGwcPrice = document.getElementById("txtHbGwcPrice").value;
				var strHbTdcPrice = document.getElementById("txtHbTdcPrice").value;
				if(checkspace(strHbJjcPirce) && checkspace(strHbGwcPrice) && checkspace(strHbTdcPrice))
				{
					 tp1.setSelectedIndex(0);
					 alert("您至少要输入一种舱位的价格");
					 document.getElementById("txtHbJjcPirce").focus();
					 return false;
				}
				if(checkspace(strHbJjcPirce) == false)
				{
					if(isNaN(strHbJjcPirce) || strHbJjcPirce <= 0)
					{
						tp1.setSelectedIndex(0);
						alert("舱位价格只能输入大于0的整数");
						 document.getElementById("txtHbJjcPirce").focus();
						 return false;
						
					}
				}
				if(checkspace(strHbGwcPrice) == false)
				{
					if(isNaN(strHbGwcPrice) || strHbGwcPrice <= 0)
					{
						tp1.setSelectedIndex(0);
						alert("舱位价格只能输入大于0的整数");
						 document.getElementById("txtHbGwcPrice").focus();
						 return false;
						
					}
				}
				
				if(checkspace(strHbTdcPrice) == false)
				{
					if(isNaN(strHbTdcPrice) || strHbTdcPrice <= 0)
					{
						tp1.setSelectedIndex(0);
						alert("舱位价格只能输入大于0的整数");
						 document.getElementById("txtHbTdcPrice").focus();
						 return false;
						
					}
				}
				var strHbJjPrice = document.getElementById("txtHbJjPrice").value;
				if(checkspace(strHbJjPrice) == false)
				{
					if(isNaN(strHbJjPrice) || strHbJjPrice <= 0)
					{
						tp1.setSelectedIndex(0);
						alert("机建费只能输入大于0的整数");
						 document.getElementById("txtHbJjPrice").focus();
						 return false;
						
					}
				}
				var strHbRyPrice = document.getElementById("txtHbRyPrice").value;
				if(checkspace(strHbRyPrice) == false)
				{
					if(isNaN(strHbRyPrice) || strHbRyPrice <= 0)
					{
						tp1.setSelectedIndex(0);
						alert("燃油费只能输入大于0的整数");
						 document.getElementById("txtHbRyPrice").focus();
						 return false;
						
					}
				}
				var strHbBq = "";
				for(var i=0;i<document.getElementsByTagName("input").length;i++)
				{
					if((document.getElementsByTagName("input")[i].name).indexOf("chbHbBq") >= 0 && document.getElementsByTagName("input")[i].checked)
					{
						strHbBq = "1";
						break;
					}
				}
				if(strHbBq != "1")
				{
					tp1.setSelectedIndex(0);
					alert("请选择班期");
					return false;
				}
				var strHbStartHour = document.getElementById("txtHbStartHour").value;
				if(checkspace(strHbStartHour))
				{
						tp1.setSelectedIndex(0);
						alert("请输入起飞时间");
						document.getElementById("txtHbStartHour").focus();
						return false;
				}
				else
				{
					if(isNaN(strHbStartHour) || strHbStartHour < 0 || strHbStartHour >= 24)
					{
						tp1.setSelectedIndex(0);
						alert("起飞时间只能输入大于等于0小于24的整数");
						document.getElementById("txtHbStartHour").focus();
						return false;
					}
				}
				var strHbStartMinutes = document.getElementById("txtHbStartMinutes").value;
				if(checkspace(strHbStartMinutes))
				{
						tp1.setSelectedIndex(0);
						alert("请输入起飞时间");
						document.getElementById("txtHbStartMinutes").focus();
						return false;
				}
				else
				{
					if(isNaN(strHbStartMinutes) || strHbStartMinutes < 0 || strHbStartMinutes > 59)
					{
						tp1.setSelectedIndex(0);
						alert("起飞时间只能输入大于等于0小于60的整数");
						document.getElementById("txtHbStartMinutes").focus();
						return false;
					}
				}
				
				
				var strHbEndHour = document.getElementById("txtHbEndHour").value;
				if(checkspace(strHbEndHour))
				{
						tp1.setSelectedIndex(0);
						alert("请输入降落时间");
						document.getElementById("txtHbEndHour").focus();
						return false;
				}
				else
				{
					if(isNaN(strHbEndHour) || strHbEndHour < 0 || strHbEndHour >= 24)
					{
						tp1.setSelectedIndex(0);
						alert("降落时间只能输入大于等于0小于24的整数");
						document.getElementById("txtHbEndHour").focus();
						return false;
					}
				}
				var strHbEndMinutes = document.getElementById("txtHbEndMinutes").value;
				if(checkspace(strHbEndMinutes))
				{
						tp1.setSelectedIndex(0);
						alert("请输入降落时间");
						document.getElementById("txtHbEndMinutes").focus();
						return false;
				}
				else
				{
					if(isNaN(strHbEndMinutes) || strHbEndMinutes < 0 || strHbEndMinutes > 59)
					{
						tp1.setSelectedIndex(0);
						alert("降落时间只能输入大于等于0小于60的整数");
						document.getElementById("txtHbEndMinutes").selected;
						return false;
					}
				}
				var strTRLastIndex = document.getElementById("txtTRLastIndex").value;
				
				if(strTRLastIndex > 1)
				{
					for(var i=1;i<strTRLastIndex;i++)
					{
						aryCy = eval("document.Form1.selectedCy" + i + "");
						if(checkspace(aryCy[1].value))
						{
							tp1.setSelectedIndex(1);
							alert("请输入经停城市的到达时间");
							aryCy[1].focus();
							return false;
						}
						else
						{
							if(isNaN(aryCy[1].value) || aryCy[1].value < 0 || aryCy[1].value >= 24)
							{
								tp1.setSelectedIndex(1);
								alert("经停城市的到达时间只能输入大于等于0小于24的整数");
								aryCy[1].focus();
								return false;
							}
						}
						
						if(checkspace(aryCy[2].value))
						{
							tp1.setSelectedIndex(1);
							alert("请输入经停城市的到达时间");
							aryCy[2].focus();
							return false;
						}
						else
						{
							if(isNaN(aryCy[2].value) || aryCy[2].value < 0 || aryCy[2].value > 59)
							{
								tp1.setSelectedIndex(1);
								alert("经停城市的到达时间只能输入大于等于0小于60的整数");
								aryCy[2].focus();
								return false;
							}
						}
						
						if(checkspace(aryCy[3].value))
						{
							tp1.setSelectedIndex(1);
							alert("请输入经停城市的起飞时间");
							aryCy[3].focus();
							return false;
						}
						else
						{
							if(isNaN(aryCy[3].value) || aryCy[3].value < 0 || aryCy[3].value >= 24)
							{
								tp1.setSelectedIndex(1);
								alert("经停城市的起飞时间只能输入大于等于0小于24的整数");
								aryCy[3].focus();
								return false;
							}
						}
						
						if(checkspace(aryCy[4].value))
						{
							tp1.setSelectedIndex(1);
							alert("请输入经停城市的起飞时间");
							aryCy[4].focus();
							return false;
						}
						else
						{
							if(isNaN(aryCy[4].value) || aryCy[4].value < 0 || aryCy[4].value > 59)
							{
								tp1.setSelectedIndex(1);
								alert("经停城市的起飞时间只能输入大于等于0小于60的整数");
								aryCy[4].focus();
								return false;
							}
						}
						if(checkspace(aryCy[5].value))
						{
							tp1.setSelectedIndex(1);
							alert("请输入经停机场");
							aryCy[5].focus();
							return false;
						}
						if(checkspace(aryCy[6].value) && checkspace(aryCy[7].value) && checkspace(aryCy[8].value))
						{
							tp1.setSelectedIndex(1);
							alert("您至少要输入一种舱位价格");
							aryCy[6].focus();
							return false;
						}
						if(checkspace(aryCy[6].value) == false)
						{
							if(isNaN(aryCy[6].value) || aryCy[6].value <= 0)
							{
								tp1.setSelectedIndex(1);
								alert("舱位价格只能输入大于0的整数");
								aryCy[6].focus();
								return false;
								
							}
						}
						if(checkspace(aryCy[7].value) == false)
						{
							if(isNaN(aryCy[7].value) || aryCy[7].value <= 0)
							{
								tp1.setSelectedIndex(1);
								alert("舱位价格只能输入大于0的整数");
								aryCy[7].focus();
								return false;
								
							}
						}
						if(checkspace(aryCy[8].value) == false)
						{
							if(isNaN(aryCy[8].value) || aryCy[8].value <= 0)
							{
								tp1.setSelectedIndex(1);
								alert("舱位价格只能输入大于0的整数");
								aryCy[8].focus();
								return false;
								
							}
						}
					}
				}
			}
			function HangBanCyIdsChecked()
			{
					var strCyIds = document.Form1.txtHbStartCyIds.value;
					aryCy = strCyIds.split("|");
					if(aryCy.length > 1)
					{
						for(var i = 0 ;i<document.getElementsByName("checkCity").length;i++)
						{
							if(aryCy[1].indexOf(document.getElementsByName("checkCity")[i].value) >= 0)
							{
								document.getElementsByName("checkCity")[i].checked = true;
								document.getElementsByName("checkCity")[i].disabled = true;
							}
						}
					}
			}
			function HangBanCyIdsdisabled()
			{
				var strHbStartCyId = document.Form1.dropHbStartCyId.value;
					
					var strHbEndCyId = document.Form1.dropHbEndCyId.value;
					for(var i = 0 ;i<document.getElementsByName("checkCity").length;i++)
					{
						if(document.getElementsByName("checkCity")[i].value == strHbEndCyId || document.getElementsByName("checkCity")[i].value == strHbStartCyId)
						{
							document.getElementsByName("checkCity")[i].disabled = true;
							if(document.getElementsByName("checkCity")[i].checked)
							{
								document.getElementsByName("checkCity")[i].checked = false;
								DeleteSignRow("cy" + document.getElementsByName("checkCity")[i].value,document.getElementsByName("checkCity")[i].value);
							}
						}
						else
						{
							document.getElementsByName("checkCity")[i].disabled = false;
							DeleteSignRow("cy" + document.getElementsByName("checkCity")[i].value,document.getElementsByName("checkCity")[i].value);
						}
					}
			}
			function HangBanTimeOnChang()
			{
				if(document.Form1.selectedCy1 != null)
				{
					document.Form1.selectedCy1[1].value = document.Form1.txtHbStartHour.value;
					document.Form1.selectedCy1[2].value = document.Form1.txtHbStartMinutes.value;
					
				}
				if(document.Form1.selectedCy2 != null)
				{
					document.Form1.selectedCy2[3].value = document.Form1.txtHbEndHour.value;
					document.Form1.selectedCy2[4].value = document.Form1.txtHbEndMinutes.value;
					
				}
			}
			function CheckHangBanUpdate()
			{
				var strHbCode = document.getElementById("txtHbCode").value;
				if(checkspace(strHbCode))
				{

						tp1.setSelectedIndex(0);
						alert("请输入航班号");
						document.getElementById("txtHbCode").focus();
						return false;
				}
				var strAwId = document.getElementById("dropAwId").value;
				if(checkspace(strAwId) || strAwId == "0")
				{

						tp1.setSelectedIndex(0);
						alert("请选择航空公司");
						document.getElementById("dropAwId").focus();
						return false;
				}
				var strHbStartCyId = document.getElementById("dropHbStartCyId").value;
				if(checkspace(strHbStartCyId) || strHbStartCyId == "0")
				{

						tp1.setSelectedIndex(0);
						alert("请选择起飞城市");
						document.getElementById("dropHbStartCyId").focus();
						return false;
				}
				var strHbEndCyId = document.getElementById("dropHbEndCyId").value;
				if(checkspace(strHbEndCyId) || strHbEndCyId == "0")
				{
						tp1.setSelectedIndex(0);
						alert("请选择终到城市");
						document.getElementById("dropHbEndCyId").focus();
						return false;
				}
				if(strHbStartCyId == strHbEndCyId)
				{
					tp1.setSelectedIndex(0);
					alert("您选择的起飞城市与终到城市相同，请重新选择");
					document.getElementById("dropHbEndCyId").focus();
					return false;
				}
				
				var strHbStartJc = document.getElementById("txtHbStartJc").value;
				if(checkspace(strHbStartJc))
				{
						tp1.setSelectedIndex(0);
						alert("请输入起飞机场");
						document.getElementById("txtHbStartJc").focus();
						return false;
				}
				
				var strHbEndJc = document.getElementById("txtHbEndJc").value;
				if(checkspace(strHbEndJc))
				{
						tp1.setSelectedIndex(0);
						alert("请输入降落机场");
						document.getElementById("txtHbEndJc").focus();
						return false;
				}
				var strHbType = document.getElementById("txtHbType").value;
				if(checkspace(strHbType))
				{
						tp1.setSelectedIndex(0);
						alert("请输入机型");
						document.getElementById("txtHbType").focus();
						return false;
				}
				var strHbJjcPirce = document.getElementById("txtHbJjcPirce").value;
				var strHbGwcPrice = document.getElementById("txtHbGwcPrice").value;
				var strHbTdcPrice = document.getElementById("txtHbTdcPrice").value;
				if(checkspace(strHbJjcPirce) && checkspace(strHbGwcPrice) && checkspace(strHbTdcPrice))
				{
					 tp1.setSelectedIndex(0);
					 alert("您至少要输入一种舱位的价格");
					 document.getElementById("txtHbJjcPirce").focus();
					 return false; false;
				}
				if(checkspace(strHbJjcPirce) == false)
				{
					if(isNaN(strHbJjcPirce) || strHbJjcPirce <= 0)
					{
						tp1.setSelectedIndex(0);
						alert("舱位价格只能输入大于0的整数");
						 document.getElementById("txtHbJjcPirce").focus();
						 return false; false;
						
					}
				}
				if(checkspace(strHbGwcPrice) == false)
				{
					if(isNaN(strHbGwcPrice) || strHbGwcPrice <= 0)
					{
						tp1.setSelectedIndex(0);
						alert("舱位价格只能输入大于0的整数");
						 document.getElementById("txtHbGwcPrice").focus();
						 return false; false;
						
					}
				}
				
				if(checkspace(strHbTdcPrice) == false)
				{
					if(isNaN(strHbTdcPrice) || strHbTdcPrice <= 0)
					{
						tp1.setSelectedIndex(0);
						alert("舱位价格只能输入大于0的整数");
						 document.getElementById("txtHbTdcPrice").focus();
						 return false; false;
						
					}
				}
				var strHbJjPrice = document.getElementById("txtHbJjPrice").value;
				if(checkspace(strHbJjPrice) == false)
				{
					if(isNaN(strHbJjPrice) || strHbJjPrice <= 0)
					{
						tp1.setSelectedIndex(0);
						alert("机建费只能输入大于0的整数");
						 document.getElementById("txtHbJjPrice").focus();
						 return false; false;
						
					}
				}
				var strHbRyPrice = document.getElementById("txtHbRyPrice").value;
				if(checkspace(strHbRyPrice) == false)
				{
					if(isNaN(strHbRyPrice) || strHbRyPrice <= 0)
					{
						tp1.setSelectedIndex(0);
						alert("燃油费只能输入大于0的整数");
						 document.getElementById("txtHbRyPrice").focus();
						 return false; false;
						
					}
				}
				var strHbBq = "";
				for(var i=0;i<document.getElementsByTagName("input").length;i++)
				{
					if((document.getElementsByTagName("input")[i].name).indexOf("chbHbBq") >= 0 && document.getElementsByTagName("input")[i].checked)
					{
						strHbBq = "1";
						break;
					}
				}
				if(strHbBq != "1")
				{
					tp1.setSelectedIndex(0);
					alert("请选择班期");
					return false;
				}
				var strHbStartHour = document.getElementById("txtHbStartHour").value;
				if(checkspace(strHbStartHour))
				{
						tp1.setSelectedIndex(0);
						alert("请输入起飞时间");
						document.getElementById("txtHbStartHour").focus();
						return false;
				}
				else
				{
					if(isNaN(strHbStartHour) || strHbStartHour < 0 || strHbStartHour >= 24)
					{
						tp1.setSelectedIndex(0);
						alert("起飞时间只能输入大于等于0小于24的整数");
						document.getElementById("txtHbStartHour").focus();
						return false;
					}
				}
				var strHbStartMinutes = document.getElementById("txtHbStartMinutes").value;
				if(checkspace(strHbStartMinutes))
				{
						tp1.setSelectedIndex(0);
						alert("请输入起飞时间");
						document.getElementById("txtHbStartMinutes").focus();
						return false;
				}
				else
				{
					if(isNaN(strHbStartMinutes) || strHbStartMinutes < 0 || strHbStartMinutes > 59)
					{
						tp1.setSelectedIndex(0);
						alert("起飞时间只能输入大于等于0小于60的整数");
						document.getElementById("txtHbStartMinutes").focus();
						return false;
					}
				}
				
				
				var strHbEndHour = document.getElementById("txtHbEndHour").value;
				if(checkspace(strHbEndHour))
				{
						tp1.setSelectedIndex(0);
						alert("请输入降落时间");
						document.getElementById("txtHbEndHour").focus();
						return false;
				}
				else
				{
					if(isNaN(strHbEndHour) || strHbEndHour < 0 || strHbEndHour >= 24)
					{
						tp1.setSelectedIndex(0);
						alert("降落时间只能输入大于等于0小于24的整数");
						document.getElementById("txtHbEndHour").focus();
						return false;
					}
				}
				var strHbEndMinutes = document.getElementById("txtHbEndMinutes").value;
				if(checkspace(strHbEndMinutes))
				{
						tp1.setSelectedIndex(0);
						alert("请输入降落时间");
						document.getElementById("txtHbEndMinutes").focus();
						return false;
				}
				else
				{
					if(isNaN(strHbEndMinutes) || strHbEndMinutes < 0 || strHbEndMinutes > 59)
					{
						tp1.setSelectedIndex(0);
						alert("降落时间只能输入大于等于0小于60的整数");
						document.getElementById("txtHbEndMinutes").selected;
						return false;
					}
				}
			}
			function checkCar()
			{
				var strCy = document.getElementById("dropCy").value;
				if(strCy == "0" || strCy == "")
				{
					alert("请选择城市");
					tp1.setSelectedIndex(0);
					document.getElementById("dropCy").focus();
					return false;
				}
				if(checkspace(document.getElementById("txtCCx").value))
				{
					alert("请输入车型");
					tp1.setSelectedIndex(0);
					document.getElementById("txtCCx").focus();
					return false;
				}
				if(checkspace(document.getElementById("txtCZw").value))
				{
					alert("请输入座位数");
					tp1.setSelectedIndex(0);
					document.getElementById("txtCZw").focus();
					return false;
				}
				else
				{
					if(isNaN(document.getElementById("txtCZw").value) || document.getElementById("txtCZw").value <= 0)
					{
						alert("座位数只能输入大于0的整数");
						tp1.setSelectedIndex(0);
						document.getElementById("txtCZw").focus();
						return false;
					}
				}
				
				if(checkspace(document.getElementById("txtCPrice").value))
				{
					alert("请输入租车价格(元/天)");
					tp1.setSelectedIndex(0);
					document.getElementById("txtCPrice").focus();
					return false;
				}
				else
				{
					if(isNaN(document.getElementById("txtCPrice").value) || document.getElementById("txtCPrice").value <= 0)
					{
						alert("租车价格(元/天)只能输入大于0的整数");
						tp1.setSelectedIndex(0);
						document.getElementById("txtCPrice").focus();
						return false;
					}
				}
				if(checkspace(document.getElementById("txtCMPrice").value) == false)
				{
					if(isNaN(document.getElementById("txtCMPrice").value) || document.getElementById("txtCMPrice").value <= 0)
					{
						alert("租车价格(元/月)只能输入大于0的整数");
						tp1.setSelectedIndex(0);
						document.getElementById("txtCMPrice").focus();
						return false;
					}
				}
				if(checkspace(document.getElementById("txtCYjPrice").value) == false)
				{
					if(isNaN(document.getElementById("txtCYjPrice").value) || document.getElementById("txtCYjPrice").value <= 0)
					{
						alert("租车押金只能输入大于0的整数");
						tp1.setSelectedIndex(0);
						document.getElementById("txtCYjPrice").focus();
						return false;
					}
				}
				if(document.Form1.chbIsSmallImg.checked)
				{
					if(checkspace(document.Form1.txtWidth.value))
					{
						tp1.setSelectedIndex(1);
						alert("请输入缩略图的宽度");
						document.getElementById("txtWidth").focus();
						return false;
					}
					else
					{
						if(isNaN(document.Form1.txtWidth.value) || document.Form1.txtWidth.value < 10)
						{
							tp1.setSelectedIndex(1);
							alert("缩略图的宽度只能输入大于10的数字");
							document.getElementById("txtWidth").focus();
							return false;
						}
					}
					if(checkspace(document.Form1.txtHeight.value))
					{
						tp1.setSelectedIndex(1);
						alert("请输入缩略图的高度");
						document.getElementById("txtHeight").focus();
						return false;
					}
					else
					{
						if(isNaN(document.Form1.txtHeight.value) || document.Form1.txtHeight.value < 10)
						{
							tp1.setSelectedIndex(1);
							alert("缩略图的高度只能输入大于10的数字");
							document.getElementById("txtHeight").focus();
							return false;
						}
					}
				}
			}
			
			

